Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.annotations
Class AnnotationParser.Value

    java.lang.Object
      org.eclipse.jetty.annotations.AnnotationParser.Value

Direct Known Subclasses:
  AnnotationParser.ListValue, AnnotationParser.SimpleValue

Enclosing class:
  AnnotationParser

    public abstract class AnnotationParser.Value

extends java.lang.Object

Constructor Summary
`AnnotationParser.Value(java.lang.String name)`

Method Summary
`java.lang.String` | `getName()`
`abstract java.lang.Object` | `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationParser.Value

    public AnnotationParser.Value(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

### getValue

    public abstract java.lang.Object getValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.